import final
import atomwrite
T=1.5
delt=0.002
N=240
NA=N/2
NB=N/2
NBins=500
RescaleFreq=500
PdBFreq=98
PrintFreq=1000
HistFreq=100
Names=range(N)
for i in range(NA):
    if (i%M==0):
        Names[i]='C'
    else:
        Names[i]='H'
for i in range(NA):
    if (i%M==0):
        Names[i+NA]='C'
    else:
        Names[i+NA]='O'
#Pdb=atomwrite.pdbfile("anim.pdb", L, AtomNames=Names)
Pos=InitPositions(N, L)
PEnergy,Pos=ConjugateGradient(Pos, .001, 1.e-8, 1.e-10)
Vel=InitVelocities(N, T)
Accel=InitAccel(Pos)
print PEnergy
step=1
while step<500000:
    if (step%RescaleFreq==0):
        Vel=RescaleVelocities(N, T)
        Pos,Vel,Accel,KEnergy,PEnergy=final_lib.vvintegrate(Pos, Vel, Accel, M, L, Cut, delt, 3, N)        
    else:
        Pos,Vel,Accel,KEnergy,PEnergy=final_lib.vvintegrate(Pos, Vel, Accel, M, L, Cut, delt, 3, N)
    #if (step%PdBFreq==0):
        #Pdb.write(Pos)
    if (step%PrintFreq==0):
        print PEnergy
    step=step+1
#Pdb.close()
count=np.zeros(NBins,dtype=int)
count1=np.zeros(NBins,dtype=int)
count2=np.zeros(NBins,dtype=int)
step=1
NObs=0
while step<100000:
    if (step%RescaleFreq==0):
        Vel=RescaleVelocities(N, T)
        Pos,Vel,Accel,KEnergy,PEnergy=final_lib.vvintegrate(Pos, Vel, Accel, M, L, Cut, delt, 3, N)        
    else:
        Pos,Vel,Accel,KEnergy,PEnergy=final_lib.vvintegrate(Pos, Vel, Accel, M, L, Cut, delt, 3, N)
    if (step%HistFreq==0):
        NObs=NObs+1
        histogramAA1(Pos, L, M, count, NBins, 3, N)
        histogramBB1(Pos, L, M, count1, NBins, 3, N)
        histogramCC1(Pos, L, M, count2, NBins, 3, N)
    step=step+1
gAA=radialdistributionAA(count, L, N, NObs)
gBB=radialdistributionBB(count1, L, N, NObs)
gCC=radialdistributionCC(count2, L, N, NObs)

    








